Replace a transaction split
curl --request PATCH \
--url https://app.sure.am/api/v1/transactions/{transaction_id}/split \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"split": {
"splits": [
{
"amount": "<string>",
"name": "<string>",
"category_id": "<string>",
"excluded": true
}
]
}
}
'import requests
url = "https://app.sure.am/api/v1/transactions/{transaction_id}/split"
payload = { "split": { "splits": [
{
"amount": "<string>",
"name": "<string>",
"category_id": "<string>",
"excluded": True
}
] } }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
split: {
splits: [
{amount: '<string>', name: '<string>', category_id: '<string>', excluded: true}
]
}
})
};
fetch('https://app.sure.am/api/v1/transactions/{transaction_id}/split', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sure.am/api/v1/transactions/{transaction_id}/split",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'split' => [
'splits' => [
[
'amount' => '<string>',
'name' => '<string>',
'category_id' => '<string>',
'excluded' => true
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.sure.am/api/v1/transactions/{transaction_id}/split"
payload := strings.NewReader("{\n \"split\": {\n \"splits\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"category_id\": \"<string>\",\n \"excluded\": true\n }\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.sure.am/api/v1/transactions/{transaction_id}/split")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"split\": {\n \"splits\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"category_id\": \"<string>\",\n \"excluded\": true\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sure.am/api/v1/transactions/{transaction_id}/split")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"split\": {\n \"splits\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"category_id\": \"<string>\",\n \"excluded\": true\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"transaction_id": "<string>",
"amount": "<string>",
"amount_decimal": "<string>",
"amount_cents": 123,
"currency": "<string>",
"children": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"amount": "<string>",
"currency": "<string>",
"name": "<string>",
"classification": "<string>",
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"account_type": "<string>",
"status": "<string>"
},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"amount_decimal": "<string>",
"excluded": true,
"notes": "<string>",
"external_id": "<string>",
"source": "<string>",
"user_modified": true,
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>",
"icon": "<string>"
},
"merchant": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"transfer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"other_account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"account_type": "<string>",
"status": "<string>"
}
}
}
]
}Transactions
Replace a transaction split
Replaces the children of an existing split. The previous children are destroyed, so anything set on them afterwards is not carried over.
PATCH
/
api
/
v1
/
transactions
/
{transaction_id}
/
split
Replace a transaction split
curl --request PATCH \
--url https://app.sure.am/api/v1/transactions/{transaction_id}/split \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"split": {
"splits": [
{
"amount": "<string>",
"name": "<string>",
"category_id": "<string>",
"excluded": true
}
]
}
}
'import requests
url = "https://app.sure.am/api/v1/transactions/{transaction_id}/split"
payload = { "split": { "splits": [
{
"amount": "<string>",
"name": "<string>",
"category_id": "<string>",
"excluded": True
}
] } }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
split: {
splits: [
{amount: '<string>', name: '<string>', category_id: '<string>', excluded: true}
]
}
})
};
fetch('https://app.sure.am/api/v1/transactions/{transaction_id}/split', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sure.am/api/v1/transactions/{transaction_id}/split",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'split' => [
'splits' => [
[
'amount' => '<string>',
'name' => '<string>',
'category_id' => '<string>',
'excluded' => true
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.sure.am/api/v1/transactions/{transaction_id}/split"
payload := strings.NewReader("{\n \"split\": {\n \"splits\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"category_id\": \"<string>\",\n \"excluded\": true\n }\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.sure.am/api/v1/transactions/{transaction_id}/split")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"split\": {\n \"splits\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"category_id\": \"<string>\",\n \"excluded\": true\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sure.am/api/v1/transactions/{transaction_id}/split")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"split\": {\n \"splits\": [\n {\n \"amount\": \"<string>\",\n \"name\": \"<string>\",\n \"category_id\": \"<string>\",\n \"excluded\": true\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"transaction_id": "<string>",
"amount": "<string>",
"amount_decimal": "<string>",
"amount_cents": 123,
"currency": "<string>",
"children": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"amount": "<string>",
"currency": "<string>",
"name": "<string>",
"classification": "<string>",
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"account_type": "<string>",
"status": "<string>"
},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"amount_decimal": "<string>",
"excluded": true,
"notes": "<string>",
"external_id": "<string>",
"source": "<string>",
"user_modified": true,
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>",
"icon": "<string>"
},
"merchant": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"transfer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"other_account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"account_type": "<string>",
"status": "<string>"
}
}
}
]
}Authorizations
API key for authentication. Generate one from your account settings.
Path Parameters
Transaction ID. A split child resolves to its parent.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
split replaced
Was this page helpful?